
Summary:	A light and eye-candy dock to launch your programs easily
Name:     	cairo-dock
Version:	3.4.1
Release:	%mkrel 3
License:	GPLv3+
Group:		Graphical desktop/Other
Source:		http://launchpad.net/cairo-dock-core/3.1/%{version}/+download/cairo-dock-%{version}.tar.xz
Source1:	cairo-dock-mate.desktop
Source2:	cairo-dock.desktop
Patch0:		cairo-dock-link.patch
Patch1:		cairo-dock-menu.c.patch
URL:		https://launchpad.net/cairo-dock-core
#---------------------------------------------
BuildRequires:	%{_lib}cairo-devel
BuildRequires:	%{_lib}dbus-1-devel
BuildRequires:	%{_lib}dbus-glib-1_2-devel
BuildRequires:	%{_lib}glib2.0_0-devel
BuildRequires:	%{_lib}mesagl1-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}curl-devel
BuildRequires:	%{_lib}rsvg2-devel
BuildRequires:	%{_lib}xml2-devel
BuildRequires:	%{_lib}pango1.0-devel
BuildRequires:	%{_lib}xcomposite-devel
BuildRequires:	%{_lib}xinerama-devel
BuildRequires:	%{_lib}xrender-devel
BuildRequires:	%{_lib}xtst-devel
BuildRequires:	intltool
BuildRequires:	imagemagick
BuildRequires:	cmake
#---------------------------------------------
Requires: cairo-dock-plugins
Requires: libupower-glib3
Obsoletes: libupower-glib1
%description
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.


#---------------------------------------------------------------------

%package devel
Summary: Development files for cairo-dock
Group: Development/Libraries
#Requires: %name = %version

%description devel
cairo-dock uses cairo to render nice graphics, and Glitz to use hardware
acceleration. It's fully configurable and can be a taskbar too. You can
easily plug applets into it.

This package provides the include files and library for cairo-dock functions.



#---------------------------------------------------------------------
%prep
%setup -qn %name-core-%version
%apply_patches

%build
%cmake -DCMAKE_INSTALL_LIBDIR=lib
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%{find_lang} %{name}

mkdir -p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
convert data/cairo-dock.svg -resize 48x48 %buildroot%_liconsdir/%name.png
convert data/cairo-dock.svg -resize 16x16 %buildroot%_miconsdir/%name.png
convert data/cairo-dock.svg -resize 32x32 %buildroot%_iconsdir/%name.png

#use our custom menu entries
rm -f %buildroot/%{_datadir}/applications/*.desktop
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/cairo-dock-mate.desktop
install -m 0644 %SOURCE2 %buildroot/%{_datadir}/applications/cairo-dock.desktop


%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.svg
%{_mandir}/man1/cairo-dock.1.*
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_liconsdir}/%name.png

%{_libdir}/libgldi.so.3
%{_libdir}/libgldi.so.3.*
%{_libdir}/cairo-dock/libcd-Help.so

%files devel
%{_includedir}/%name
%{_libdir}/libgldi.so
%{_libdir}/pkgconfig/*.pc

%clean
rm -rf $RPM_BUILD_ROOT
  
%changelog
* Fri Aug 26 2016 adrianomorselli <adrianomorselli> 3.4.1-3uplos2016
- rebuild and fix upower

* Fri Apr 01 2016 bb <bb> 3.4.1-2pclos2016
- rebuild

* Sat Nov 07 2015 bb <bb> 3.4.1-1pclos2015
- update

* Wed Oct 22 2014 bb <bb> 3.4.0-1pclos2014
- update

* Wed Apr 30 2014 bb <bb> 3.3.2-1pclos2014
- update

* Thu Jul 18 2013 bb <bb> 3.2.1-2pclos2013
- fix desktop files

